﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Syncfusion.UI.Xaml.Controls.Notification;
using System.Collections.ObjectModel;
using Windows.UI.Xaml.Media.Imaging;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace MossaicTile_115900
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public ObservableCollection<Image> ImageList { get; set; }
        public MainPage()
        {
            this.InitializeComponent();
            ImageList = new ObservableCollection<Image>();
            ImageList.Add(new Image() { Source = new BitmapImage(new Uri("ms-appx:///Assets/1.jpg", UriKind.RelativeOrAbsolute)) });
            ImageList.Add(new Image() { Source = new BitmapImage(new Uri("ms-appx:///Assets/2.jpg", UriKind.RelativeOrAbsolute)) });
            ImageList.Add(new Image() { Source = new BitmapImage(new Uri("ms-appx:///Assets/3.jpg", UriKind.RelativeOrAbsolute)) });
            ImageList.Add(new Image() { Source = new BitmapImage(new Uri("ms-appx:///Assets/4.jpg", UriKind.RelativeOrAbsolute)) });
            ImageList.Add(new Image() { Source = new BitmapImage(new Uri("ms-appx:///Assets/5.jpg", UriKind.RelativeOrAbsolute)) });
            ImageList.Add(new Image() { Source = new BitmapImage(new Uri("ms-appx:///Assets/6.jpg", UriKind.RelativeOrAbsolute)) });
            ImageList.Add(new Image() { Source = new BitmapImage(new Uri("ms-appx:///Assets/7.jpg", UriKind.RelativeOrAbsolute)) });
            ImageList.Add(new Image() { Source = new BitmapImage(new Uri("ms-appx:///Assets/8.jpg", UriKind.RelativeOrAbsolute)) });
            ImageList.Add(new Image() { Source = new BitmapImage(new Uri("ms-appx:///Assets/9.jpg", UriKind.RelativeOrAbsolute)) });
            DataContext = this;
        }


        private ImageList images;

        public ImageList Images
        {
            get { return images; }
            set { images = value; }
        }
        
        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }

    public class ImageToStringConverter:IValueConverter
    {
        public ImageList Imagelist { get; set; }
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            Imagelist = new ImageList();
            if (value is ObservableCollection<Image>)
            {
                ObservableCollection<Image> items = value as ObservableCollection<Image>;
                foreach (var item in items)
                {
                    Imagelist.Add(((item as Image).Source as BitmapImage).UriSource.AbsolutePath.ToString());
                }
                return Imagelist;
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            return null;
        }
    }
}
